Subject: Re: [PATCH v4 for-next 00/12] Add network namespace support in the RDMA-CM

From: Haggai Eran <[email-masked]>
Date: Tue, 19 May 2015 17:54:54 +0300

On 19/05/2015 17:30, Yann Droneaud wrote:
>Le dimanche 17 mai 2015 à 08:50 +0300, Haggai Eran a écrit :
>> Full support for RoCE will be introduced in a later stage.
>>
> How does this play with iWarp: as iWarp HCA are aware of IP addresses /
> UDP/TCP ports, AFAIK, are those tied to namespace with this patchset or
> will it be possible to use the iWarp HCA to access to address/port
> resources tied to a different namespace ?

At the moment the patchset doesn't add iWarp namespace support, as I
wrote in the discussion about v3 [1]. I suspect that the current iWarp
code lets users listen in one namespace and receive requests belonging
to the init namespace, or break the namespaces in similar ways. The
patchset doesn't attempt to fix this for iWarp or RoCE, only for InfiniBand.

Regards,
Haggai

[1] http://www.spinics.net/lists/linux-rdma/msg25156.html